English

ArcGIS Data Interoperability 9.3.1 Patch

Summary

This patch resolves a number of errors and issues related to the ArcGIS Data Interoperability extension.

Description

Introduction

ESRI® announces the ArcGIS Data Interoperability 9.3.1 Patch. This patch resolves an error message generated by Spatial ETL tools that have empty published source dataset parameters as well as removes the inability to specify a new output File or Personal Geodatabase path in Quick Export’s Select dialog box. The patch also includes two additional fixes; one resolves problems converting Oracle Spatial linear feature classes to File Geodatabases and one enables MXD documents to be opened whether or not the referenced data is accessible. It is recommended that all users of Data Interoperability install this patch. (See Issues Addressed with this Patch for the details of the issues fixed in this patch.)

Issues Addressed with this Patch



  • NIM043212 - Using Quick Export to convert linear features from Oracle Spatial (Interoperability Connection) will include features from the first linear feature class in the connection, even if it is not selected in the Quick Export tool.
  • NIM043860 - "File ' does not exist" error message may be returned when running an ETL tool that has an empty Source Dataset parameter that is published.
  • NIM045515 - Quick Export's Select dialog does not allow you to specify a new output Geodatabase.
  • NIM045516 - Cannot open MXDs with Interoperability Connections that reference inaccessible data.

Files Installed in this Patch



    Under the ArcGIS\bin folder:

      DIDatasource.dll


    Data Interoperability Extension\

      fme.bin
      fme.dll
      fmeprompter.dll
      geodatabase9.dll
      qfmeext.dll
      qt_workbench.dll

Installing this Patch


Since this Patch replaces 9.3.1 files, you must have ArcGIS 9.3.1 and the ArcGIS Data Interoperability extension installed before you can install this Patch.

  1. Make sure you have write access to your ArcGIS installation location, and that no one is using ArcGIS.


  2. Download GIS931-DIE-Patch.EXE to a location other than your ArcGIS installation location.

  3. Double-click GIS931-DIE-Patch.EXE to start the install process. The Setup automatically detects the ArcGIS products you have installed (Desktop, Engine or Server) on your machine and executes the appropriate patch or patches accordingly.

  4. When Setup starts, follow the instructions on your screen.


Installation Notes:

  • If you have installed client setups from a shared Network Administrative ArcGIS setup, this patch must be applied to all client installations.


  • System Administrators - A technical paper is available that discusses the enterprise deployment of ArcGIS 9.3 setups using Microsoft® Systems Management Server (SMS) and Group Policy, including additional system requirements, suggestions, known issues, and Microsoft Software Installation (MSI) command line parameters. Deployment in a lockdown environment is also covered. ArcGIS 9.3 Enterprise Deployment.

Patch Updates

Check Online Support Center periodically for the availability of additional patches. New information about this Patch will be posted here.

    May 12, 2010 - This patch will be included in the next available Service Pack or Major Release.

How to identify which Patch is installed

To find out what products and which patches are currently installed on your machine, download the PatchFinder931.exe utility and run it from your local machine.

Getting Help

Domestic sites, please contact ESRI Technical Support at 1-888-377-4575, if you have any difficulty installing this Service Pack. International sites, please contact your local ESRI software distributor.